View Issue Details

IDProjectCategoryView StatusLast Update
0005197SOGoWeb Calendarpublic2020-11-11 12:01
ReporterTheExpert Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSRHEL/CentOSOS Version7
Product Version5.0.0 
Fixed in Version5.0.2 
Summary0005197: Reminder mail notification of appointments doesn't work
Description

When creating, changing or deleting an appointment in the personal or a shared calendar I get invitations and deletions as mail notivfication. But when activating the reminder there's no mail notification for this appointment.

Steps To Reproduce
  1. Create a new appointment on a shared calender of another user
  2. Add attendees
  3. Activate the reminder as mail for the attendees only

Or

  1. Create a new appointment on your personal calender
  2. Activate the reminder as mail
Tagsappointment, mail, notification, reminder

Activities

TheExpert

TheExpert

2020-11-06 08:52

reporter   ~0014921

After the update to 5.0.1 the bug is still there. None of the attendees gets the mail reminder. An appointment with mail notification of the organizer only isn't working, too.

TheExpert

TheExpert

2020-11-06 08:53

reporter   ~0014922

I forgot to mention that I'm using SOGo on NethServer 7.

francis

francis

2020-11-09 12:34

administrator   ~0014931

Last edited: 2020-11-09 12:35

View 2 revisions

Have you enabled SMTP authentication (SOGoSMTPAuthenticationType would be defined in your sogo.conf). If so, make sure to pass a credentials file to sogo-ealarms-notify. Example:

sogo-ealarms-notify -p /etc/sogo/sogo.creds
TheExpert

TheExpert

2020-11-10 02:22

reporter   ~0014932

Thank, you. I'm wondering why SOGo can send invitations and delete notifications but no appointment reminders? Do they use separate authentication parameters? I don't know the credentials of the SOGo SMTP server, defined with 127.0.0.1:10587 in sogo.conf. I've never been asked for setting credentials to the SMTP server. Or does SOGo use the smart host of nethserver for sending mails via SMTP?

francis

francis

2020-11-10 10:01

administrator   ~0014935

The appointment reminders would actually be the alarms associated to the appointments.

You probably don't need to enable SMTP authentication in your setup, therefore you could remove SOGoSMTPAuthenticationType from sogo.conf.

TheExpert

TheExpert

2020-11-10 12:57

reporter   ~0014936

I know what the appointment reminders are and that they have to be set up for the appointments.
I now have deaktivated the option in /etc/sogo/sogo.conf: //SOGoSMTPAuthenticationType = "PLAIN";
The invitations and deletion notifications are still working and now the reminders are working, too. :-)

Related Changesets

sogo: master 64f0519f

2020-11-11 11:58:30

francis

Details Diff
chore(sogo-ealarms-notify): improve arguments parsing

Fixes 0005197
Affected Issues
0005197
mod - SoObjects/SOGo/SOGoMailer.h Diff File
mod - SoObjects/SOGo/SOGoMailer.m Diff File
mod - Tools/SOGoEAlarmsNotifier.m Diff File

Issue History

Date Modified Username Field Change
2020-10-29 12:51 TheExpert New Issue
2020-10-29 12:51 TheExpert Tag Attached: appointment
2020-10-29 12:51 TheExpert Tag Attached: mail
2020-10-29 12:51 TheExpert Tag Attached: notification
2020-10-29 12:51 TheExpert Tag Attached: reminder
2020-11-06 08:52 TheExpert Note Added: 0014921
2020-11-06 08:53 TheExpert Note Added: 0014922
2020-11-09 12:34 francis Note Added: 0014931
2020-11-09 12:35 francis Note Edited: 0014931 View Revisions
2020-11-10 02:22 TheExpert Note Added: 0014932
2020-11-10 10:01 francis Note Added: 0014935
2020-11-10 12:57 TheExpert Note Added: 0014936
2020-11-11 12:01 francis Changeset attached => sogo master 64f0519f
2020-11-11 12:01 francis Assigned To => francis
2020-11-11 12:01 francis Resolution open => fixed
2020-11-11 12:01 francis Status new => resolved
2020-11-11 12:01 francis Fixed in Version => 5.0.2